> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cards

> List cards



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cards
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards:
    get:
      tags:
        - cards
      summary: List cards
      description: List cards
      operationId: TrioFoundationWeb.Banking.Card.CardController.index
      parameters:
        - description: Entity ID
          in: query
          name: entity_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: Card Last Four Digits
          in: query
          name: card_last_digits
          required: false
          schema:
            type: string
        - description: Card Display Name
          in: query
          name: display_name
          required: false
          schema:
            type: string
        - description: Card Holder Name
          in: query
          name: holder_name
          required: false
          schema:
            type: string
        - description: Card Holder Tax Number
          in: query
          name: holder_tax_number
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Parameter used for pagination.
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/List_Cards_Response'
          description: Cards
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    List_Cards_Response:
      description: A list of cards
      example:
        data:
          - balance: 0
            company_id: 019514eb-5d5c-b395-5a77-449d12701ce7
            display_name: marketing card
            entity_id: 019514eb-5d5c-b395-5a77-449d12701ce7
            holder_id: 019514eb-5d5c-b395-5a77-449d12701ce7
            id: 019514eb-5d5c-b395-5a77-449d12701ce7
            masked_number: 5555 **** **** 1234
            org_id: 019514eb-5d5c-b395-5a77-449d12701ce7
            status: active
            type: virtual
      properties:
        data:
          items:
            $ref: '#/components/schemas/Card'
          type: array
      title: List Cards Response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Card:
      description: Card data
      example:
        balance: 0
        company_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        display_name: marketing card
        entity_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        holder_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        id: 019514eb-5d5c-b395-5a77-449d12701ce7
        masked_number: 5555 **** **** 1234
        org_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        status: active
        type: virtual
      properties:
        balance:
          description: Card balance (R$)
          type: integer
        company_id:
          description: Company UUID
          type: string
        display_name:
          description: Display name
          type: string
        entity_id:
          description: Entity UUID
          type: string
        holder_id:
          description: Holder UUID
          type: string
        id:
          description: Unique identifier
          type: string
        masked_number:
          description: Masked card number
          type: string
        org_id:
          description: Org UUID
          type: string
        status:
          description: Card status
          enum:
            - created
            - pending
            - active
            - blocked
            - expired
            - canceled
          type: string
        type:
          description: Card type
          enum:
            - virtual
          type: string
      title: Card
      type: object

````